﻿using System;
using System.Linq;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

//“空白页”项模板在 http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409 上有介绍

namespace ListViewBaseScrollSmoothlyDemo
{
    /// <summary>
    /// 可用于自身或导航至 Frame 内部的空白页。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            Lvw.ItemsSource = Enumerable.Range(0, 500);
        }

        private void BtnScroll_Click(object sender, RoutedEventArgs e)
        {
            int index = new Random().Next(Lvw.Items.Count);
            Lvw.ScrollIntoViewSmoothly(Lvw.Items[index]);
            txt.Text = "这次你滚动到第 " + index + " 项";
        }
    }
}